# SPEC file for pmidi, primary target is the Fedora Extras
# RPM repository.

Name:		pmidi
Version:	1.6.0
Release:	1%{?dist}
Summary:	Command-line ALSA MIDI client
URL:		http://www.parabola.me.uk/alsa/pmidi.html
Group:		Applications/Multimedia
Source:		http://download.sourceforge.net/pmidi/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License:	GPL
BuildRequires:	alsa-lib-devel
BuildRequires:	glib-devel

%description
pmidi is a command-line based MIDI player the utilize the internal
ALSA sequencer to play back a MIDI stream from for example a .mid
file onto for example a built-in OPL sound chip or similar sequencer
device.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/pmidi
%{_mandir}/man1/*
%doc AUTHORS ChangeLog COPYING NEWS README

%changelog
* Thu Mar 16 2006 Linus Walleij <triad@df.lth.se> 1.6.0-1
- Created a first pmidi RPM.
